Skip to main content
GET
Get Wallet By Locator

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<chainType>[:<walletType>][:alias:<alias>] (walletType defaults to 'smart')
  • userId:<userId>:<chainType>[:<walletType>][:alias:<alias>] (white label user example)
  • phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]
  • twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • x:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • me:<chainType>[:<walletType>][:alias:<alias>] (Use when calling from the client side with a client API key)
  • chainType[:<walletType>]:alias:<alias>

Response

The record has been successfully retreived.

chainType
enum<string>
required

The blockchain type of the wallet

Available options:
evm
type
enum<string>
required

The wallet type (smart or mpc)

Available options:
smart,
mpc
Example:

"smart"

address
string
required

The onchain address of the wallet

Example:

"0x1234567890123456789012345678901234567890"

config
object

EVM wallet type specific configuration settings

owner
string

The user that owns this wallet in format :

Example:

"email:test@example.com"

createdAt

ISO timestamp of when the wallet was created

alias
string

The wallet alias

Example:

"my-usdc-wallet"